auto curr_post = CSmScriptPlayer::EPost::None;

void Render() {
    auto app = GetApp();
    auto pg_script = cast<CSmArenaRulesMode>(app.PlaygroundScript);
    auto current_pg = cast<CSmArenaClient>(app.CurrentPlayground);

    if (pg_script is null || current_pg is null || GetScriptAPI(current_pg) is null) return;

    auto scriptAPI = GetScriptAPI(current_pg);
    if (curr_post != scriptAPI.Post) 
    {
        switch (scriptAPI.Post) 
        {
            case (CSmScriptPlayer::EPost::Char):
                pg_script.StartTime = scriptAPI.StartTime;

            default:
                curr_post = scriptAPI.Post;
        }
    }  
}


void Main()
{
#if MP4
    warn('This plugin does not support MP4.');
    return;
#elif TURBO
    warn('This plugin does not support Turbo.');
    return;
#endif
}


CSmScriptPlayer@ GetScriptAPI(CSmArenaClient@ currentPlayground) {
    if (currentPlayground is null || currentPlayground.GameTerminals.Length == 0) return null;
    auto terminal = currentPlayground.GameTerminals[0];
    auto player = cast<CSmPlayer@>(terminal.ControlledPlayer);

    if (player is null) return null;
    return cast<CSmScriptPlayer@>(player.ScriptAPI);
}